package cn.datax.common.mybatis.annotation;

import java.lang.annotation.*;

/**
 * 数据权限过滤注解
 * 参考 https://gitee.com/cancerGit/Crown
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
public @interface DataScopeAop {

    /**
     * 表的别名
     */
    String alias() default "sys_user";

    /**
     * 部门表的别名
     */
    String deptAlias() default "sys_dept";

    String deptScopeName() default "dept_id";

    /**
     * 用户表的别名
     */
    String userAlias() default "sys_user";

    String userScopeName() default "create_by";
}
